Bug 118949 - FILEOPEN: Auto spacing sets above paragraph property to 0
Summary: FILEOPEN: Auto spacing sets above paragraph property to 0
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2018-07-26 11:06 UTC by Xisco Faulí
Modified: 2018-08-02 11:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
comparison MSO 2010 and LibreOffice 6.2 (323.14 KB, image/png)
2018-07-26 11:06 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-26 11:06:33 UTC
Created attachment 143780 [details]
comparison MSO 2010 and LibreOffice 6.2

Steps to reproduce:
1. Open attachment 82543 [details] from bug 66998
2. Check the above paragraph property of Heading 2.

Observed behaviour: is should be 0.90 as the below paragraph property but it's 0.

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 96faaa6005465661d74b6dbf4879c43b85c68a55
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-07-26 11:08:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0307a62790b33ee0c02c2323a8f759e53e2035a4

author	László Németh <nemeth@numbertext.org>	2018-06-29 22:34:21 +0200
committer	László Németh <nemeth@numbertext.org>	2018-07-04 11:39:08 +0200
commit 0307a62790b33ee0c02c2323a8f759e53e2035a4 (patch)
tree 9db96859fc5593b419a6867c5e5ad6d593ae9497
parent f91705bf48f4675838452c92f261867600f27bf7 (diff)
tdf#118533 RTF/DOCX import: fix beforeAutospacing for first paragraph
of a text frame (first bug of tdf#104354), a table cell or a
document by setting zero top margin here. This bug could result non
visible paragraph content in narrow frames, as in the test document
of the commit. See also commit f737c9386a605cb7d8c9dbc210c557f98f6cdc19
for a similar fix for first paragraph of a shape.

Fix top margins of the first paragraphs of the affected tdf#82006
and tdf#107480, adding also new paragraphs to their RTF tests cases
to keep the original tests, too.

Bisected with: bibisect-linux64-6.2

Adding Cc: to László Németh
Comment 2 Commit Notification 2018-08-01 19:00:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58e266ae808dbf3e157b38eb2c8f24774131e0f8

tdf#118949 don't set zero auto top margin in every first paragraph

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-08-02 11:48:09 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4804a1474ccba8df57f0a0151bd69237e82eb618
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@László Németh, thanks for fixing this!!